#include "boats/boat13/body.inc"
#include "boats/boat13/mast1.inc"
#include "boats/boat13/mast2.inc"
#include "boats/boat13/shade.inc"
#include "boats/boat13/top.inc"

#declare Txt = texture{
	pigment{
		wood 
		scale 0.55 
		warp {turbulence 0.6 octaves 5 lambda 2.6 omega 0.61}
		scale<0.08, 0.08, 0.5> 
		color_map {
			[ 0.0 rgb<0.28, 0.15, 0.1>]
    		[ 0.4 rgb<0.20, 0.15, 0.1>]
    		[ 0.8 rgb<0.18, 0.14, 0.1>]
		}
	} 
	finish {diffuse 0.7}
	rotate y*90 scale<1, 0.2, 1>
}

#declare ShadeTxt = texture{
	pigment{color rgb 0.82}
	finish {diffuse 0.64}
	normal{wrinkles -0.22 scale<0.1, 0.5, 0.5>}
}

#declare Boat13 = union {
	object{
		Body
		texture{Txt}
	}
	
	object{
		Mast1
		texture{Txt rotate z*95}
	}
	
	object{
		Mast2
		texture{Txt rotate z*40}
	}
	
	object{
		Top
		texture{Txt}
	} 
	
	object{
		Shade
		texture{ShadeTxt}
	}
}
